=== mfm/CMakeLists.txt ===
add_subdirectory(src)
if(enable-testing)
  add_subdirectory(tests)
endif()
